%global module_name backports.ssl_match_hostname

Name:           python3-backports-ssl_match_hostname
Version:        3.5.0.1
Release:        1%{?dist}
Summary:        The ssl.match_hostname() function from Python 3
License:        Python
URL:            https://bitbucket.org/brandon/backports.ssl_match_hostname
Source0:        https://files.pythonhosted.org/packages/source/b/%{module_name}/%{module_name}-%{version}.tar.gz
BuildArch:      noarch

%global _description\
The Secure Sockets layer is only actually secure if you check the hostname in\
the certificate returned by the server to which you are connecting, and verify\
that it matches to hostname that you are trying to reach.\
\
But the matching logic, defined in RFC2818, can be a bit tricky to implement on\
your own. So the ssl package in the Standard Library of Python 3.2 now includes\
a match_hostname() function for performing this check instead of requiring\
every application to implement the check separately.\
\
This backport brings match_hostname() to users of earlier versions of Python.\
The actual code is only slightly modified from Python 3.5.\


%description %_description


%package -n python%{python3_pkgversion}-backports-ssl_match_hostname
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel


%description -n python%{python3_pkgversion}-backports-ssl_match_hostname %_description


%prep
%setup -qn %{module_name}-%{version}

# see PEP 420
rm backports/__init__.py

cp backports/ssl_match_hostname/README.txt .
cp backports/ssl_match_hostname/LICENSE.txt .


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-backports-ssl_match_hostname
%license LICENSE.txt
%doc README.txt
%{python3_sitelib}/backports*


%changelog
* Wed Dec 27 2017 Carl George <carl@george.computer> - 3.5.0.1-1
- Initial EPEL7 package
